<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title>ファイル編集 - MicroEngine</title>
<script src="../../app/assets/js/me.file.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.resize.resizeBox('file_contents');
    $(window).bind('resize', function(){
        me.resize.resizeBox('file_contents');
    });
    me.form.init();
    if ($('#error_message').text().length > 0) {
        me.file.openSetting();
    }
});
//-->
</script>
</head>
<body>
<div class="main">
<form method="POST" name="file_form" id="file_form" action="../File/post" onsubmit="me.form.noUnload();">
<div id="error_message" class="error"><?php h::p($form->errors["MESSAGE"]) ?></div>

<div class="edit_header">
<div class="edit_header_left">
<table class="info_table">
<tr>
<th class="info_header_th">ファイル編集</th>
<td class="info_header_td">
<button id="open_file_setting" type="button" class="link_button" onclick="me.file.openSetting();"><img src="../../app/assets/images/silk/arrow_down.png" width="16" height="16" alt="設定を開く"><span>設定を開く</span></button>
<button id="close_file_setting" type="button" class="link_button hidden" onclick="me.file.closeSetting();"><img src="../../app/assets/images/silk/arrow_up.png" width="16" height="16" alt="設定を閉じる"><span>設定を閉じる</span></button>
</td>
</tr>
<tr>
<th>ファイルパス</th>
<td>
<?php h::p($form->page_path) ?>
</td>
</tr>
<tr class="file_setting hidden">
<th>文字コード <span class="require">※必須</span></th>
<td>
<input type="text" id="char_code" name="char_code" size="15" maxlength="50" value="<?php h::p( $form->char_code) ?>"><br>
<div class="error"><?php h::p( $form->errors["char_code"]) ?></div>
</td>
</tr>
<tr class="file_setting hidden">
<th>備考</th>
<td>
<input type="text" id="note" name="note" size="60" maxlength="50" value="<?php h::p( $form->note) ?>">
<div class="error"><?php h::p( $form->errors["note"]) ?></div>
</td>
</tr>
<tr class="file_setting hidden">
<th>操作</th>
<td>
<input type="button" value="ファイル削除" onclick="me.file.deleteFile();return false;">
</td>
</tr>
</table>
</div><!-- /edit_header_left -->
<div class="edit_header_right">
<a href="<?php h::p(MANUAL_BASE_URL) ?>file_edit.html" class="link_a" target="_blank"><img src="../../app/assets/images/silk/help.png" width="16px" height="16px" alt="ヘルプ" title="ヘルプ">ヘルプ</a>
</div><!-- /edit_header_right -->
<br class="clear">
</div><!-- /edit_header -->

<div>
<textarea id="file_contents" name="file_contents" cols="50" rows="10"><?php h::p($form->file_contents) ?></textarea>
</div>

<div class="bottom_box">
<div class="bottom_left"><input id="back_link" type="button" name="" class="submit_button" value="キャンセル" onclick="location.href='../Main/index?path=<?php h::p($form->page_path) ?>';return false;"></div>
<div class="bottom_center">
<input type="submit" name="" class="submit_button" value="登録">
</div>
<br class="clear">
</div><!-- /bottom_box -->
<input type="hidden" id="_id" name="_id" value="<?php h::p($form->_id) ?>">
<input type="hidden" id="_form_id" name="_form_id" value="<?php h::p($_form_id) ?>">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</div><!-- /main -->
<?php h::render('/Common/footer.php');?>
</body>
</html>